diff options
author | Ted Gould <ted@gould.cx> | 2011-01-28 11:18:04 -0600 |
---|---|---|
committer | Ted Gould <ted@gould.cx> | 2011-01-28 11:18:04 -0600 |
commit | 259beb1229b4b4939ec966688ec04a38a0746110 (patch) | |
tree | 852484bb9e8a0001c2e960040eb05b926a3c054f /Makefile.in | |
parent | b5fa5079027eeae92595f8e09df78a694c85a033 (diff) | |
parent | 5c4584e8278f37d2e921ad599c55cabeff835a35 (diff) | |
download | ayatana-indicator-session-259beb1229b4b4939ec966688ec04a38a0746110.tar.gz ayatana-indicator-session-259beb1229b4b4939ec966688ec04a38a0746110.tar.bz2 ayatana-indicator-session-259beb1229b4b4939ec966688ec04a38a0746110.zip |
Import upstream version 0.2.12
Diffstat (limited to 'Makefile.in')
-rw-r--r-- | Makefile.in | 33 |
1 files changed, 31 insertions, 2 deletions
diff --git a/Makefile.in b/Makefile.in index 5db6d2a..40872db 100644 --- a/Makefile.in +++ b/Makefile.in @@ -534,6 +534,9 @@ distdir: $(DISTFILES) || exit 1; \ fi; \ done + $(MAKE) $(AM_MAKEFLAGS) \ + top_distdir="$(top_distdir)" distdir="$(distdir)" \ + dist-hook -test -n "$(am__skip_mode_fix)" \ || find "$(distdir)" -type d ! -perm -755 \ -exec chmod u+rwx,go+rx {} \; -o \ @@ -755,8 +758,8 @@ uninstall-am: .PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \ all all-am am--refresh check check-am clean clean-generic \ clean-libtool ctags ctags-recursive dist dist-all dist-bzip2 \ - dist-gzip dist-lzma dist-shar dist-tarZ dist-xz dist-zip \ - distcheck distclean distclean-generic distclean-hdr \ + dist-gzip dist-hook dist-lzma dist-shar dist-tarZ dist-xz \ + dist-zip distcheck distclean distclean-generic distclean-hdr \ distclean-libtool distclean-tags distcleancheck distdir \ distuninstallcheck dvi dvi-am html html-am info info-am \ install install-am install-data install-data-am install-dvi \ @@ -769,6 +772,32 @@ uninstall-am: ps ps-am tags tags-recursive uninstall uninstall-am +dist-hook: + @if test -d "$(top_srcdir)/.bzr"; \ + then \ + echo Creating ChangeLog && \ + ( cd "$(top_srcdir)" && \ + echo '# Generated by Makefile. Do not edit.'; echo; \ + $(top_srcdir)/missing --run bzr log --gnu-changelog ) > ChangeLog.tmp \ + && mv -f ChangeLog.tmp $(top_distdir)/ChangeLog \ + || (rm -f ChangeLog.tmp; \ + echo Failed to generate ChangeLog >&2 ); \ + else \ + echo Failed to generate ChangeLog: not a branch >&2; \ + fi + @if test -d "$(top_srcdir)/.bzr"; \ + then \ + echo Creating AUTHORS && \ + ( cd "$(top_srcdir)" && \ + echo '# Generated by Makefile. Do not edit.'; echo; \ + $(top_srcdir)/missing --run bzr log --long --levels=0 | grep -e "^\s*author:" -e "^\s*committer:" | cut -d ":" -f 2 | cut -d "<" -f 1 | sort -u) > AUTHORS.tmp \ + && mv -f AUTHORS.tmp $(top_distdir)/AUTHORS \ + || (rm -f AUTHORS.tmp; \ + echo Failed to generate AUTHORS >&2 ); \ + else \ + echo Failed to generate AUTHORS: not a branch >&2; \ + fi + # Tell versions [3.59,3.63) of GNU make to not export all variables. # Otherwise a system limit (for SysV at least) may be exceeded. .NOEXPORT: |